package net.micode.notes.ui;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import net.micode.notes.R;

/**
 * Created by XT on 2021/11/4.
 */

public class LoginActivity extends Activity{
    EditText lg_password;
    Button lg_login;
    Button Goback;
    public Button getLg_login() {
        return lg_login;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState){
        super.onCreate(savedInstanceState);
        SharedPreferences pref = getSharedPreferences("user management",MODE_PRIVATE);
        boolean User_boolean = pref.getBoolean("user",false);
        if(!User_boolean){
            Intent intent = new Intent(LoginActivity.this,NotesListActivity.class);
            startActivity(intent);
            finish();
        }

        setContentView(R.layout.activity_login);
        getWindow().setSoftInputMode(
                WindowManager.LayoutParams.SOFT_INPUT_STATE_VISIBLE
                | WindowManager.LayoutParams.SOFT_INPUT_ADJUST_RESIZE
        );
        lg_password = (EditText)findViewById(R.id.lg_password);
        lg_login=(Button)findViewById(R.id.login);
        Goback = (Button)findViewById(R.id.button1);
        Goback.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                LoginActivity.super.onBackPressed();
            }
        });
        lg_login.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                SharedPreferences pref = getSharedPreferences("user management",MODE_PRIVATE);
                String password = pref.getString("password","");
                if(password.equals("") == false && password.equals(lg_password.getText().toString())==true){
                    Intent intent = new Intent(LoginActivity.this,NotesListActivity.class);
                    startActivity(intent);
                    finish();
                }
                else{
                    Toast.makeText(LoginActivity.this,"密码错误",Toast.LENGTH_SHORT).show();
                    lg_password.setText("");
                }
            }
        });
    }
}
